Subject: Re: bug#77494: 30.1; backward-up-list doesn't work as intended in php-ts-mode

From: Umar Ahmad <[email-masked]>
Date: Fri, 4 Apr 2025 11:15:48 +0530

> This is already fixed in GNU Emacs 31.

I see! I actually tried to check this with a copy of php-ts-mode.el from
the master branch before reporting
and also copied in the new macro definition of
`treesit-declare-unavailable-functions`

I eval'ed the whole thing and still faced the same problem.

I might be missing something else that is not obvious to me here.
I'll try upgrading to emacs 31 completely in a few weeks to see if it works
for me as well.

Thank you for checking this!

On Thu, Apr 3, 2025 at 10:15 PM Juri Linkov <[email-masked]> wrote:

> close 77494 31.0.50
> thanks
>
> > backward-up-list stops at the start of php-doc string instead of going
> > further up the list to enclosing brackets when php-ts-mode is active
> > [...]
> > GNU Emacs 30.1 (build 2, aarch64-apple-darwin23.6.0,
>
> Thanks for the report.  This is already fixed in GNU Emacs 31.
>

-- 
Regards,
Umar Ahmad